# Uses of Class
org.eclipse.osgi.container.ModuleRequirement

Packages that use ModuleRequirement
Package
Description
org.eclipse.osgi.container

## Uses of ModuleRequirement in org.eclipse.osgi.container

Methods in org.eclipse.osgi.container that return ModuleRequirement
Modifier and Type
Method
Description
`ModuleRequirement`
ModuleWire.`getRequirement()`
Methods in org.eclipse.osgi.container that return types with arguments of type ModuleRequirement
Modifier and Type
Method
Description
`List<ModuleRequirement>`
ModuleRevision.`getModuleRequirements(String namespace)`
Returns the requirements declared by this revision
`List<ModuleRequirement>`
ModuleWiring.`getModuleRequirements(String namespace)`
Returns the same result as `ModuleWiring.getRequirements(String)` except uses type ModuleRequirement and the returned list is unmodifiable.